const metadata = {
  global: {
    root: [],
    shared: [
      'button',
      'container',
      'content',
      'heading',
      'input',
      'link',
      'popup',
      'label',
      'mark',
      'helptext',
    ],
  },
  valid: {
    scope: ['g', 's', 'c'],
    category: ['color', 'font', 'radius', 'shadow', 'sizing', 'spacing', 'position'],
    property: [
      'background',
      'foreground',
      'border',
      'style',
      'size',
      'family',
      'weight',
      'lineheight',
      'decoration',
      'align',
      'width',
      'height',
      'zindex',
    ],
    attribute: [
      'inline',
      'inlinestart',
      'inlineend',
      'block',
      'blockstart',
      'blockend',
      'start',
      'startstart',
      'startend',
      'end',
      'endstart',
      'endend',
      'gap',
      'max',
      'min',
    ],
    state: [
      'checked',
      'pressed',
      'disabled',
      'readonly',
      'valid',
      'invalid',
      'indeterminate',
      'error',
      'placeholder',
      'selected',
    ],
    psuedoState: ['hover', 'focus', 'active', 'visited'],
  },
  restricted: [''],
  deprecated: {
    'inline-start': 'inlinestart',
    'inline-end': 'inlineend',
    'block-start': 'blockstart',
    'block-end': 'blockend',
    'start-start': 'startstart',
    'start-end': 'startend',
    'end-start': 'endstart',
    'end-end': 'endend',
  },
};

module.exports = metadata;
